Package oracle.jdbc.spi

## Interface OracleConfigurationParser

    public interface OracleConfigurationParser

Defines the contract for configuration file parsers used by configuration file providers.

There are two built-in file providers (file and https) that returns properties from the given location. Those file providers call the methods in this interface to read configuration data from different file types.

For more information or an example of the payload, please refer to: `OracleConfigurationProvider`.

### Field Summary

Fields
`static java.util.Map<java.lang.String,​OracleConfigurationSecretProvider>` `secretProviders`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods
`static OracleConfigurationParser` `find​(java.lang.String providerType)` Helper method to retrieve a provider based on the type.
`java.lang.String` `getType()`
`java.util.Properties` `parse​(java.io.InputStream source, java.util.Map<java.lang.String,​java.lang.String> options)` Returns configuration read from `source`

### Field Detail

#### secretProviders

    static final java.util.Map<java.lang.String,​OracleConfigurationSecretProvider> secretProviders

### Method Detail

#### parse

    java.util.Properties parse​(java.io.InputStream source,
                               java.util.Map<java.lang.String,​java.lang.String> options)
                        throws java.sql.SQLException

Returns configuration read from `source`

Parameters:
  `source` - of the file to be read
  `options` - contains the key-value pairs captured from an url
Returns:
  Properties read from `source`
Throws:
  `java.sql.SQLException` - if fails to read the source

#### getType

    java.lang.String getType()

Returns:
  type of the file. Usually the file extension, uch as "json" or "yaml".

#### find

    static OracleConfigurationParser find​(java.lang.String providerType)

Helper method to retrieve a provider based on the type.

Parameters:
  `providerType` -
Returns:
  OracleConfigurationProvider